--- title: "assignSecondaryIps" slug: "compute-vserver-networkinterface-assignsecondaryips" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-networkinterface-assignsecondaryips" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # assignSecondaryIps Available in VPC Assign a secondary IP to a network interface. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/assignSecondaryIps | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `networkInterfaceNo` | String | Required | Network interface number - See [getNetworkInterfaceList](/docs/en/compute-vserver-networkinterface-getnetworkinterfacelist). | | `secondaryIpList.N` | Array | Conditional | Secondary IP list - Up to 5 IP address ranges in the subnet can be entered. - At least 1 must be entered including `secondaryIpCount`. - Example: `secondaryIpList.1=192.168.0.1&secondaryIpList.2=192.168.0.2` | | `secondaryIpCount` | Integer | Conditional | Number of auto-assigned secondary IPs - 0-5 - Automatically assign private IPs sequentially. - At least 1 must be entered including `secondaryIpList`. - Up to 5 can be entered per network interface. | | `allowReassign` | Boolean | Optional | Whether to allow explicit reassignment - `true` \| `false` (default) - `true`: Reassign if the secondary IP is already in use. - `false`: An error occurs if the secondary IP is already in use. - Only apply to IPs specified with `secondaryIpList`. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/assignSecondaryIps ?regionCode=KR &networkInterfaceNo=70***6 &secondaryIpList.1=10.0.10.11 &secondaryIpCount=1 &allowReassign=true &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `assignSecondaryIpsResponse` | Object | - | Response result - See [NetworkInterfaceList](/docs/en/common-vapidatatype-networkinterfacelist). | | `assignSecondaryIpsResponse.requestId` | String | - | ID for the request - UUID format | | `assignSecondaryIpsResponse.returnCode` | String | - | Response code | | `assignSecondaryIpsResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "assignSecondaryIpsResponse": { "totalRows": 1, "networkInterfaceList": [ { "networkInterfaceNo": "70***6", "networkInterfaceName": "nic-70***6", "subnetNo": "3***4", "deleteOnTermination": true, "isDefault": true, "deviceName": "eth0", "networkInterfaceStatus": { "code": "SET", "codeName": "Configuring" }, "instanceType": { "code": "VSVR", "codeName": "Server (VPC)" }, "instanceNo": "10*****18", "ip": "10.0.10.6", "macAddress": "F2:**:**:**:**:AC", "enableFlowLog": false, "accessControlGroupNoList": [ "1***1" ], "networkInterfaceDescription": "", "secondaryIpList": [ "10.0.10.11", "10.0.10.8" ] } ], "requestId": "7c0d1b29-****-****-****-876342a60d6f", "returnCode": "0", "returnMessage": "success" } } ```